> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get default warehouse location

> Get default warehouse location



## OpenAPI

````yaml oms_v1 get /api-inventory/warehouse/default
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-inventory/warehouse/default:
    get:
      tags:
        - Warehouse
      summary: Get default warehouse location
      description: Get default warehouse location
      operationId: defaultWarehouseLocation
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      responses:
        '200':
          description: Default warehouse location
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    example: 5f46c5e728539eb8e069178a
                  channel:
                    type: array
                    items:
                      type: number
                      example: 12
                  isActive:
                    type: boolean
                    example: true
                  isDefault:
                    type: boolean
                    example: true
                  name:
                    type: string
                    example: Bellevue Warehouse Main22
                  address:
                    type: object
                    properties:
                      attention:
                        type: string
                        example: John Smith
                      street1:
                        type: string
                        example: 10400 NE 4th St
                      street2:
                        type: string
                        example: Suite 2500
                      city:
                        type: string
                        example: Bellevue
                      state:
                        type: string
                        example: Washington
                      country:
                        type: string
                        example: US
                      zipCode:
                        type: string
                        example: '98005'
                      phone:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                              example: 5f46d1b628539eb8e069178c
                            number:
                              type: string
                              example: 555-555-5555
                            kind:
                              type: string
                              example: mobile
                            id:
                              type: string
                              example: 5f46d1b628539eb8e069178c
                      email:
                        type: string
                        example: info@fabric.inc
                      kind:
                        type: string
                        example: Main Docks
                  kind:
                    type: string
                    example: Warehouse
                  locationId:
                    type: number
                    example: 109
                  createdAt:
                    type: string
                    example: '2020-12-31T02:09:53.914Z'
                  updatedAt:
                    type: string
                    example: '2020-12-31T02:09:53.914Z'
                  __v:
                    type: number
                    example: 0
                  shortName:
                    type: string
                    example: TAG_ABC1234
        '400':
          $ref: '#/components/responses/GenericClientError'
        '404':
          description: Location not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    example: NO_DEFAULT_LOCATION
                    type: string
                  message:
                    description: The error message
                    example: Location not found
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````